/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package io.noties.markwon.html

import java.io.IOException

internal object AppendableUtils {
    fun appendQuietly(appendable: Appendable, c: Char) {
        try {
            appendable.append(c)
        } catch (e: IOException) {
            throw RuntimeException(e)
        }
    }

    fun appendQuietly(appendable: Appendable, cs: CharSequence) {
        try {
            appendable.append(cs)
        } catch (e: IOException) {
            throw RuntimeException(e)
        }
    }

    fun appendQuietly(appendable: Appendable, cs: CharSequence, start: Int, end: Int) {
        try {
            appendable.append(cs, start, end)
        } catch (e: IOException) {
            throw RuntimeException(e)
        }
    }
}
