/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package io.noties.markwon.html

class CssProperty internal constructor() {
    private var key: String? = null
    private var value: String? = null

    operator fun set(key: String, value: String) {
        this.key = key
        this.value = value
    }

    fun key(): String {
        return key!!
    }

    fun value(): String {
        return value!!
    }

    fun mutate(): CssProperty {
        val cssProperty = CssProperty()
        cssProperty[key!!] = value!!
        return cssProperty
    }

    override fun toString(): String {
        return "CssProperty{" + "key='" + key + '\'' + ", value='" + value + '\'' + '}'
    }
}
