/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package io.noties.markwon.utils

import android.content.Context

class Dip(private val density: Float) {
    fun toPx(dp: Int): Int {
        return (dp * density + .5f).toInt()
    }

    companion object {
        @JvmStatic
        fun create(context: Context): Dip {
            return Dip(context.resources.displayMetrics.density)
        }

        fun create(density: Float): Dip {
            return Dip(density)
        }
    }
}
