/*
 * Copyright (c) 田梓萱[小草林] 2021-2024.
 * All Rights Reserved.
 * All codes are protected by China's regulations on the protection of computer software, and infringement must be investigated.
 * 版权所有 (c) 田梓萱[小草林] 2021-2024.
 * 所有代码均受中国《计算机软件保护条例》保护，侵权必究.
 */
package io.noties.markwon.utils

import org.commonmark.node.Node

/** @since 4.6.0 */
object ParserUtils {
    @JvmStatic
    fun moveChildren(to: Node, from: Node) {
        var next = from.next
        var temp: Node
        while (next != null) {
            // appendChild would unlink passed node (thus making next info un-available)
            temp = next.next
            to.appendChild(next)
            next = temp
        }
    }
}
